For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update banner X campaign approval state

Updates the approval state of a specified banner X campaign. You can approve or reject the campaign by setting the appropriate state and providing a rejection reason if necessary.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Updates the approval state of a specified banner X campaign. You can approve or reject the campaign by setting the appropriate state and providing a rejection reason if necessary."

Update banner X campaign approval state

Update banner X campaign approval state

post

Updates the approval state of a specified banner X campaign. You can approve or reject the campaign by setting the appropriate state and providing a rejection reason if necessary.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired

The campaign Id

Body
Responses
200

The campaign approval status has been successfully updated.

application/json
post/v3/bannerx-campaigns/{id}:approve
POST /v3/bannerx-campaigns/{id}:approve HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "approval": {
    "rejectionReason": "text",
    "state": "APPROVAL_STATE_PENDING"
  }
}
{
  "bannerXCampaign": {
    "advertisedProducts": {
      "productsByKey": [
        {
          "catalogId": "catalog_001",
          "productCode": "PROD123456",
          "sellerId": "seller_78910"
        }
      ]
    },
    "approval": {
      "rejectionReason": "text",
      "state": "APPROVAL_STATE_PENDING"
    },
    "bannerXConfig": {
      "additionalFields": [
        {
          "id": "12345abcde",
          "value": "abcd-8798uhu"
        }
      ],
      "backgroundColourHex": "#FFFFFF",
      "backgroundImageId": "bg_image_001",
      "backgroundImagePosition": "BANNER_X_BACKGROUND_IMAGE_POSITION_REPEATING",
      "bannerText": "Summer Sale: Up to 50% off!",
      "bannerTextColourHex": "#FF5733",
      "companionProducts": [
        {
          "catalogId": "catalog_001",
          "productCode": "PROD123456",
          "sellerId": "seller_78910"
        }
      ],
      "contentStandardId": "content_standard_001",
      "ctaFlag": true,
      "ctaLink": "https://www.example.com",
      "ctaText": "Click Here",
      "ctaTextAccessibility": "Click to learn more",
      "headingText": "Welcome to our store!",
      "heroImageAltText": "This is the hero image.",
      "heroImageId": "hero-image-id-456",
      "heroMode": "BANNER_X_HERO_IMAGE_MODE_BLOCK",
      "primaryVideoConfig": {
        "fileId": "video-id-1234"
      },
      "secondaryBackgroundImageId": "secondary-image-id-123",
      "secondaryBackgroundImagePosition": "BANNER_X_BACKGROUND_IMAGE_POSITION_REPEATING",
      "secondaryHeroImageAltText": "Secondary hero image description",
      "secondaryHeroImageId": "456defghi",
      "secondaryHeroMode": "BANNER_X_HERO_IMAGE_MODE_BLOCK",
      "slotId": "slot_001",
      "slotType": "BANNER_X_SLOT_TYPE_BANNER",
      "trackingTagProvider": [
        {
          "content": "<script src='tracking.js'></script>",
          "provider": "TRACKING_TAG_PROVIDER_DV"
        }
      ]
    },
    "campaignState": "CAMPAIGN_STATE_ACTIVE",
    "catalogIds": [
      "catalog_001",
      "catalog_002"
    ],
    "customFields": [
      {
        "content": "This is a custom field content.",
        "customFieldId": "cfid_12345"
      }
    ],
    "customQuestions": [
      {
        "answers": [
          "Answer 1",
          "Answer 2",
          "Answer 3"
        ],
        "customQuestionId": "cqid_67890"
      }
    ],
    "endTime": "2024-09-30T23:59:59Z",
    "fixedCosts": {
      "creativeCost": "$200.00",
      "dataCost": "$100.00",
      "otherCost": "$50.00"
    },
    "id": "abc123xyz",
    "managerTeamId": "manager_team_67890",
    "name": "Summer Sale Campaign",
    "namespaceId": "namespace_001",
    "placementId": "placement_987654321",
    "sellerId": "seller_12345",
    "settings": {
      "campaignType": "CAMPAIGN_TYPE_BANNERX",
      "fromTime": "2024-09-01T12:34:56Z",
      "isWildcard": true,
      "toTime": "2024-09-01T12:34:56Z"
    },
    "startTime": "2024-09-01T12:00:00Z",
    "strategy": {
      "auction": {
        "maxBid": "$100.00",
        "spendLimit": {
          "daily": "$50.00",
          "total": "$1000.00"
        }
      },
      "fixedTenancy": {
        "catalogCosts": [
          {
            "catalogCostPercentage": 0.25,
            "catalogId": "catalog_123456"
          }
        ],
        "cost": "$99.99",
        "positions": [
          1,
          2,
          3
        ]
      }
    },
    "targeting": {
      "crossSell": {
        "targetProductsByKey": [
          {
            "catalogId": "catalog_001",
            "productCode": "PROD123456",
            "sellerId": "seller_78910"
          }
        ]
      },
      "excludeFilters": [
        {
          "catalogId": "catalog_12345",
          "filter": "filter_value_abc"
        }
      ],
      "includeFilters": [
        {
          "catalogId": "catalog_12345",
          "filter": "filter_value_abc"
        }
      ],
      "negativeSearchTerms": [
        {
          "matchType": "MATCH_TYPE_EXACT_MATCH",
          "phrase": "text"
        }
      ],
      "searchTerms": [
        {
          "collectionName": "default_collection",
          "excludedProducts": [
            {
              "catalogId": "catalog_001",
              "productCode": "PROD123456",
              "sellerId": "seller_78910"
            }
          ],
          "matchType": "MATCH_TYPE_PHRASE_MATCH",
          "maxBid": "100.00",
          "phrase": "example search term",
          "suggested": true,
          "treatAsCustom": true
        }
      ],
      "upsell": {
        "targetProductsByKey": [
          {
            "catalogId": "catalog_001",
            "productCode": "PROD123456",
            "sellerId": "seller_78910"
          }
        ]
      }
    },
    "teamId": "team_12345",
    "templateId": "template_123",
    "updateTime": "2024-09-01T12:34:56Z",
    "walletId": "wallet_123456789"
  }
}